%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    LaTeX Style File for ITG SCC 2004
%    Dr. Robert Fischer / LIT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{itg}[2003/10/10 LaTeX2e Style File for ITG SCC 2004]
\LoadClass[twocolumn,10pt,a4paper]{IEEEtran}
\DeclareOption{}{}
\ExecuteOptions{}
\ProcessOptions

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\topmargin       -6.0mm
\oddsidemargin    3.0mm
\evensidemargin -10.0mm
\textheight     243.5mm
\textwidth      165.0mm
\columnsep        7.6mm
\voffset	 -5.0mm
\hoffset	 -5.0mm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\makeatletter

\def\thesection{\arabic{section}}
\def\thesubsection{\thesection.\arabic{subsection}}
\def\thesubsubsection{\thesubsection.\arabic{subsubsection}}
\def\theparagraph{\Alph{paragraph}}

\def\thesectiondis{\thesection}
\def\thesubsectiondis{\thesubsection}
\def\thesubsubsectiondis{\thesubsubsection}
\def\theparagraphdis{\theparagraph}

\def\@seccntformat#1{\hbox to 22pt{\csname the#1dis\endcsname\hss\relax}}
\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth%
     \def\@svsec{}%
  \else%
     \refstepcounter{#1}
     \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi%
  \@tempskipa #5\relax%
  \ifdim \@tempskipa>\z@% 
     \begingroup #6\relax% 
      \noindent%
       \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8\par}
     \endgroup%
     \addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth\relax\else%
               \protect\numberline{\csname the#1\endcsname}\fi#7}%
  \else
     \def\@svsec{\csname the#1dis\endcsname\quad}
     \def\@svsechd{#6\hskip #3\@svsec #8\@IEEEsectpunct\mbox{}%
     \addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth\relax\else%
               \protect\numberline{\csname the#1\endcsname}\fi#7}}
  \fi%
  \@xsect{#5}}
\def\@afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty \@M
      {\setbox\z@\lastbox}%
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}

\def\section{\@startsection{section}{1}{\z@}%
	{3.5ex plus 1.0ex minus 0.5ex}%
	{1.5ex plus 1.0ex minus 0.0ex}%
	{\normalfont\Large\bfseries}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
	{1.5ex plus 0.5ex minus 0.2ex}%
	{1.0ex plus 0.5ex minus 0.0ex}%
	{\normalfont\large\bfseries}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}%
	{1.5ex plus 0.5ex minus 0.2ex}%
	{1.0ex plus 0.5ex minus 0.0ex}%
	{\normalfont\normalsize\bfseries}}%
\def\paragraph{\@startsection{paragraph}{4}{\parindent}%
	{1.0ex plus 0.5ex minus 0.0ex}%
	{0ex} 
	{\normalfont\normalsize\itshape}}%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\long\def\abstract#1{\def\@abstract{#1}}
\def\endabstract{\ClassError{itg}{Please use \string\abstract\string{...\string} instead of \MessageBreak \string\begin\string{abstract\string}...\string\end\string{abstract\string}}{Do this!}}

\def\maketitle{\par%
  \begingroup%
  \normalfont%
  \def\thefootnote{}%
  \def\footnotemark{}%
  \footnotesize%
  \footnotesep 0.7\baselineskip%
  \normalsize%
  \twocolumn[\@maketitle]%
  \@thanks%
  \endgroup
  \setcounter{footnote}{0}\let\maketitle\relax\let\@maketitle\relax
  \gdef\@thanks{}
  \let\thanks\relax}

\def\@maketitle{\newpage
\vskip0.2em
{\LARGE\bfseries\@title\par}
\vskip1.0em
\@author\mbox{}\par
\vskip3.0em
{\Large\bfseries Abstract\par}
\vskip1.0em
\normalsize\normalfont\@abstract\par
\vskip3.0em
}

\def\authorblockN#1{#1}
\def\authorblockA#1{#1}
\def\thanks#1{\protected@xdef\@thanks{\@thanks%
	\protect\footnotetext[\the\c@footnote]{#1}}%
}
\let\@thanks\@empty

\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\pagestyle{empty}
\endinput
